/*Override Default fonts*/
span,
p,
a,
button,
li,
div,
textarea,
input,
select,
.text-regular {
    font-family: "Segoe UI";
}

.text-small {
    font-family: "Segoe UI";
}

.text-mini {
    font-family: "Segoe UI";
}

/* University CSS */

.bg-dark-blue {
	background-color: #2C448E !important;
}

.fs-14 {
	font-size: 14px !important;
}

.fs-12 {
	font-size: 12px !important;
}

.fs-16 {
	font-size: 16px !important;
}

.university-footer-wrapper,
.university-header-wrapper {
	background: #000000;
	color: white;
	width: 100%;
}

.university-header-wrapper {
	min-height: 75px;
}

.university-footer-wrapper {
	padding: 8px 24px;
}

.university-title {
	color: #ffffff;
	font-size: 24px;
	font-family: Segoe UI;
	font-weight: normal;
}

.university-logo:hover .university-title {
	font-weight: normal !important;
	opacity: 0.9;
}

.nav-link {
	text-decoration: none !important;
	font-weight: normal;
}

.nav-link:hover {
	text-decoration: none !important;
	font-weight: normal;
}

.bg-navy {
	background-color: #1a3368;
}

.bg-primary {
	background-color: #d4dcf5 !important;
}

.btn-primary {
	background-color: #1a3368;
	border-color: #1a3368;
}

.dot {
	width: 12px;
	height: 12px;
}

.program-card {
	width: 200px;
	height: 220px;
	background-color: #ffffff;
	transition: transform 0.1s ease;
	cursor: pointer;
	box-shadow: 0px 3px 6px #00000029;
	display: flex;
	align-items: start;
	flex-direction: column;
	padding: 1rem;
}

	.program-card .title {
		font-size: 16px;
		font-weight: 700;
		text-align: left;
		color: var(--color-text-default);
	}

.program-card:hover .title {
	text-decoration: underline;
	font-weight: bold !important;
}

.program-card:hover {
	transform: translateY(-2px);
}

.program-card img {
	height: 100px;
	width: 100px;
}

.section-title {
	font-size: 28px;
	text-align: left;
	font-weight: 600;
	color: var(--color-text-default);
}

.news-image {
	width: 460px;
	height: 345px;
	object-fit: cover;
	object-position: center;
	border-radius: 10px;
	background-color: #000000;
}

.lecturer-card {
	width: 280px;
	height: 340px;
	text-align: center;
	padding: 1.5rem;
	padding-top: 2rem;
	border-radius: 8px;
	background: transparent linear-gradient(180deg, #E8F3FB 0%, #FFFFFF 100%) 0% 0% no-repeat padding-box;
	box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05);
}

.custom-carousel-control {
	width: 40px;
	height: 40px;
	background-color: #fafafa;
	border-radius: 4px;
	border: 1px solid var(--color-border);
	opacity: 0.8;
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	top: 0;
}

.custom-carousel-control:hover {
	opacity: 1;
	background-color: #c0c0c0;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
	filter: invert(1);
	width: 24px;
	height: 24px;
}

.carousel-control-prev {
	right: 105px;
	left: auto;
}

.carousel-control-next {
	right: 55px;
}

.lecturer-card .headline,
.lecturer-card .name {
	font-weight: 800;
	color: var(--color-text-default);
	text-align: left;
}

.lecturer-card .name {
	font-size: 18px;
	margin-bottom: 8px;
}

.lecturer-card .headline {
	font-size: 14px;
	margin-bottom: 16px;
	font-weight: 600;
}

.lecturer-card .description {
	font-size: 14px;
	color: var(--color-text-default);
	text-align: left;
	height: 80px;
	overflow: hidden;
	line-height: normal;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: 4;
	-webkit-box-orient: vertical;
	white-space: normal;
	transition: height 0.3s ease;
}

.lecturer-card.expanded {
	height: auto;
}

.lecturer-card.expanded .description {
	height: auto;
	display: block;
	-webkit-line-clamp: unset;
	-webkit-box-orient: unset;
}

.lecturer-avatar {
	width: 100px;
	height: 100px;
	border-radius: 50%;
	margin-bottom: 1rem;
	object-fit: cover;
}

/* Faculty Region */
.program-headline,
.faculty-headline {
	display: flex;
	align-items: center;
	gap: 24px;
}

.program-title,
.faculty-title {
	font-size: 36px;
	font-weight: bold;
	color: var(--color-text-default);
}

.program-image,
.faculty-image {
	width: 120px;
	height: 120px;
	padding: 10px;
	box-shadow: 0px 3px 6px #00000029;
}

.program-highlight,
.faculty-highlight {
	width: 290px;
	height: 270px;
	padding-top: 50px;
	padding-left: 1.5rem;
	padding-right: 1.5rem;
	padding-bottom: 50px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	background-color: #ffffff;
	box-shadow: 0px 3px 6px #00000029;
}

	.program-highlight .text,
	.faculty-highlight .text {
		font-size: 20px;
		color: var(--color-text-default);
		text-align: center;
		font-weight: 600;
	}

.program-highlight img,
.faculty-highlight img {
	width: 56px;
	height: 56px;
	margin-bottom: 2rem;
}

.clouds-background {
	background-image: url('../img/university/clouds.jpg');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	position: absolute;
	width: 100%;
	height: 350px;
	z-index: -1;
	top: 0px;
	left: 0px;
}

.faculties-section-background {
	background-image: url('../img/university/directionsBGR.svg');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
}

.w-1224 {
	width: 1224px !important;
	margin-right: auto;
	margin-left: auto;
}

.mw-1224{
	max-width: 1224px !important;
}

.upcoming-section-background {
	position:relative;
	background-image:
		linear-gradient(to bottom, #FAF4F3 0%, transparent 50%),
		radial-gradient(#A1B2E5 1px, transparent 1.5px),
		radial-gradient(#A1B2E5 1px, transparent 1.5px);
	background-color: #FAF4F3;
	background-size: auto, 20px 20px, 20px 20px;
	background-position: top, 0 0, 10px 10px;
	background-repeat: no-repeat, repeat, repeat;
}
.lecturers-section-background {
	position:relative;
	background-image:
		linear-gradient(to bottom, #2C448E 0%, transparent 50%),
		radial-gradient(#031746 1px, transparent 1.5px),
		radial-gradient(#031746 1px, transparent 1.5px);
	background-color: #2C448E;
	background-size: auto, 20px 20px, 20px 20px;
	background-position: top, 0 0, 10px 10px;
	background-repeat: no-repeat, repeat, repeat;
}
.my-learning-section-background {
	position:relative;
	background-image:
		linear-gradient(to bottom, #000000 0%, transparent 0%),
		radial-gradient(#72c2fc 1px, transparent 1.5px),
		radial-gradient(#72c2fc 1px, transparent 1.5px);
	background-color: #d5e8f7;
	background-size: auto, 20px 20px, 20px 20px;
	background-position: top, 0 0, 10px 10px;
	background-repeat: no-repeat, repeat, repeat;
}
.seminar-hero-background {
	background-color: #151950;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	width: 100%;
	height: 500px;
	z-index: -1;
}
.w-max-content{
	width: max-content !important;
}

.upcoming-card {
	width: 49%;
	height: 120px;
	background-color: #ffffff;
	box-shadow: 0px 3px 6px #00000029;
}
.date-box{
	width: 115px;
	height: 90px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 4px;
	padding: 16px;
	flex: 0 0 115px;
}
.faculty-banner-image{
	width: 100%;
}

.seminar-description {
	display: -webkit-box;
	-webkit-line-clamp: 4;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
	max-height: 6rem;
}
.faq-background {
	background-image: url('../img/university/bgr-FAQ.svg');
	background-color: #E7F2FB;
	background-repeat: no-repeat;
	background-size: contain;
  }
  
.my-learning-profile-image{
    width: 160px;
    height: 160px;
    border-radius: 50%;
    object-fit: cover;
}

.resource-image {
    width: 280px;
    height: 190px;
    object-fit: cover;
    flex-shrink: 0;
}
.h-university-100 {
    /* 75px is the height of the header, 39px is the height of the footer */
    min-height: calc(100vh - 75px - 39px);
}
